Installation

Minimum System Requirements

The script has a few system requirements:

  • PHP 5.5.9 or higher
  • PDO PHP Extension
  • cURL PHP Extension
  • MCrypt PHP Extension
  • ZipArchive PHP Library
  • GD PHP Library

Installation Steps

The wizard installation is a recommended way to install the script. It is simple and doesn't require any special skills.

  1. Prepare a directory on your server that is empty. It can be a sub-directory, domain root or a sub-domain.
  2. Download the installer archive file.
  3. Unpack the installer archive to the prepared directory.
  4. Grant writing permissions on the installation directory and all its subdirectories and files.
  5. Navigate to the install.php script in your web browser.
  6. Follow the installation instructions.

As of PHP 5.5, some OS distributions may require you to manually install the PHP JSON extension. When using Ubuntu, this can be done via apt-get install php5-json.

Notes

If you have installed the script to a subdirectory, you will need to edit the file .htaccess and uncomment the following:

# Uncomment if your site is not located in the root
RewriteBase /subdirectory/